Cowdidocs
API ReferenceStatements

Download Statement Document

The download view of one rendition, with a short-lived presigned href when READY

GET
/v1/statements/{id}/documents/{format}

Path Parameters

id*string
Formatuuid
format*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/statements/497f6eca-6276-4993-bfeb-53cbbbba6f08/documents/string"
{  "format": "CSV",  "status": "PENDING",  "size_bytes": 0,  "sha256": "string",  "failure_reason": "string",  "failure_code": "TOO_MANY_ROWS",  "expires_at": "2019-08-24T14:15:22Z",  "href": "http://example.com",  "href_expires_at": "2019-08-24T14:15:22Z"}
{  "code": "BAD_REQUEST",  "description": "Bad Request"}
{  "code": "UNAUTHORISED",  "description": "Unauthorised"}
{  "code": "WAITING_LIST",  "description": "User is in the waiting list"}
{  "code": "TOO_MANY_REQUESTS",  "description": "Too Many Requests"}
{  "code": "INTERNAL_SERVER_ERROR",  "description": "Internal Server Error"}